Subject: bug#2630: most keywords in emacs-lisp-mode has no syntax highlight

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 10:03:54 +0200

xah lee <[email-masked]> writes:

> the syntax highlighting in emacs-lisp-mode only support the very
> minimum of highlighting.
>
> for example, these keywords would be colored purple by default:
>
>  defun, lambda, while, if, progn, save-restriction
>
> while the following built-in keywords are uncolored (black):
> narrow-to-region, mapc, goto-char, point-min, search-forward, car,
> nil, replace-match ... etc.
>
> it appears that this is because only proper elisp “special forms” are
> are colored, while all the others are not (macros, functions,
> commands, variables ...). (thanks to Nikolaj Schumacher & Tassilo
> Horn)

I guess you're asking for functions symbols to be coloured in a
different way than the standard face?  I think that would be kinda
disturbing -- Emacs lisp code is mostly function calls, so having that
in the default (most readable) face makes sense to me.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no